*  Program Ŀ
*   Application: Visual dBASE Component Builder                             
*   Description: Menu, Report, Form, and Label Converter                    
*     File Name: BUILDLAB.PRG                                               
*        Author: Inprise Corporation                                        
*  Date created: 12-31-93              Date updated: 06-09-98              
*     Copyright: (c) 1993, 1994, 1995, 1998 by Inprise Corporation,         
*                    1999 by dBASE, Inc.                                    
* 
*
*  REVISION:    $Revision:   1.0  $
*  
*  Public Release: June 1998
*
*----------------------------------------------------------------------------

PROCEDURE BuildLabel
*-----------------------------------------------------------------------
*  DESCRIPTION
*     Build the aLabel array based on DBASEDOS.INI and LABELS.TXT files.
*-----------------------------------------------------------------------
   PUBLIC ARRAY aLabel[ 48, 9 ]

   aLabel[ 1, 1] = "Avery L7664 Diskette 3-1/2"
   aLabel[ 1, 2] = 26
   aLabel[ 1, 3] = 16
   aLabel[ 1, 4] = 6
   aLabel[ 1, 5] = 1
   aLabel[ 1, 6] = 15
   aLabel[ 1, 7] = 2
   aLabel[ 1, 8] = 4
   aLabel[ 1, 9] = "Avery 7664"

   aLabel[ 2, 1] = "Avery L7663 Diskette 5-1/4"
   aLabel[ 2, 2] = 46
   aLabel[ 2, 3] = 7
   aLabel[ 2, 4] = 16
   aLabel[ 2, 5] = 1
   aLabel[ 2, 6] = 2
   aLabel[ 2, 7] = 1
   aLabel[ 2, 8] = 8
   aLabel[ 2, 9] = "Avery 7663"

   aLabel[ 3, 1] = "Avery L7651 Mini Address"
   aLabel[ 3, 2] = 13
   aLabel[ 3, 3] = 4
   aLabel[ 3, 4] = 1
   aLabel[ 3, 5] = 1
   aLabel[ 3, 6] = 3
   aLabel[ 3, 7] = 5
   aLabel[ 3, 8] = 13
   aLabel[ 3, 9] = "Avery 7651"

   aLabel[ 4, 1] = "Avery L7565 Address - Clear"
   aLabel[ 4, 2] = 37
   aLabel[ 4, 3] = 15
   aLabel[ 4, 4] = 1
   aLabel[ 4, 5] = 1
   aLabel[ 4, 6] = 3
   aLabel[ 4, 7] = 2
   aLabel[ 4, 8] = 4
   aLabel[ 4, 9] = "Avery 7565"

   aLabel[ 5, 1] = "Avery L7563 Address - Clear"
   aLabel[ 5, 2] = 37
   aLabel[ 5, 3] = 8
   aLabel[ 5, 4] = 1
   aLabel[ 5, 5] = 1
   aLabel[ 5, 6] = 3
   aLabel[ 5, 7] = 2
   aLabel[ 5, 8] = 7
   aLabel[ 5, 9] = "Avery 7563"

   aLabel[ 6, 1] = "Avery L7562 Address - Clear"
   aLabel[ 6, 2] = 37
   aLabel[ 6, 3] = 7
   aLabel[ 6, 4] = 1
   aLabel[ 6, 5] = 1
   aLabel[ 6, 6] = 3
   aLabel[ 6, 7] = 2
   aLabel[ 6, 8] = 8
   aLabel[ 6, 9] = "Avery 7562"

   aLabel[ 7, 1] = "Avery L7551 Mini Address - Clear"
   aLabel[ 7, 2] = 13
   aLabel[ 7, 3] = 4
   aLabel[ 7, 4] = 1
   aLabel[ 7, 5] = 1
   aLabel[ 7, 6] = 3
   aLabel[ 7, 7] = 5
   aLabel[ 7, 8] = 13
   aLabel[ 7, 9] = "Avery 7551"

   aLabel[ 8, 1] = "Avery L7166 Address/Shipping"
   aLabel[ 8, 2] = 37
   aLabel[ 8, 3] = 21
   aLabel[ 8, 4] = 1
   aLabel[ 8, 5] = 1
   aLabel[ 8, 6] = 3
   aLabel[ 8, 7] = 2
   aLabel[ 8, 8] = 3
   aLabel[ 8, 9] = "Avery 7166"

   aLabel[ 9, 1] = "Avery L7165 Address"
   aLabel[ 9, 2] = 37
   aLabel[ 9, 3] = 15
   aLabel[ 9, 4] = 1
   aLabel[ 9, 5] = 1
   aLabel[ 9, 6] = 3
   aLabel[ 9, 7] = 2
   aLabel[ 9, 8] = 4
   aLabel[ 9, 9] = "Avery 7165"

   aLabel[ 10, 1] = "Avery L7164 Address/3-1/2 Diskette"
   aLabel[ 10, 2] = 23
   aLabel[ 10, 3] = 16
   aLabel[ 10, 4] = 1
   aLabel[ 10, 5] = 1
   aLabel[ 10, 6] = 3
   aLabel[ 10, 7] = 3
   aLabel[ 10, 8] = 4
   aLabel[ 10, 9] = "Avery 7164"

   aLabel[ 11, 1] = "Avery L7163 Address/5-1/4 Diskette"
   aLabel[ 11, 2] = 37
   aLabel[ 11, 3] = 8
   aLabel[ 11, 4] = 1
   aLabel[ 11, 5] = 1
   aLabel[ 11, 6] = 3
   aLabel[ 11, 7] = 2
   aLabel[ 11, 8] = 7
   aLabel[ 11, 9] = "Avery 7163"

   aLabel[ 12, 1] = "Avery L7162 Address"
   aLabel[ 12, 2] = 37
   aLabel[ 12, 3] = 7
   aLabel[ 12, 4] = 1
   aLabel[ 12, 5] = 1
   aLabel[ 12, 6] = 3
   aLabel[ 12, 7] = 2
   aLabel[ 12, 8] = 8
   aLabel[ 12, 9] = "Avery 7162"

   aLabel[ 13, 1] = "Avery L7161 Address"
   aLabel[ 13, 2] = 23
   aLabel[ 13, 3] = 10
   aLabel[ 13, 4] = 1
   aLabel[ 13, 5] = 1
   aLabel[ 13, 6] = 3
   aLabel[ 13, 7] = 3
   aLabel[ 13, 8] = 6
   aLabel[ 13, 9] = "Avery 7161"

   aLabel[ 14, 1] = "Avery L7160 Address"
   aLabel[ 14, 2] = 23
   aLabel[ 14, 3] = 8
   aLabel[ 14, 4] = 1
   aLabel[ 14, 5] = 1
   aLabel[ 14, 6] = 3
   aLabel[ 14, 7] = 3
   aLabel[ 14, 8] = 7
   aLabel[ 14, 9] = "Avery 7160"

   aLabel[ 15, 1] = "Avery 5897 5 1/4 Diskette - Blue"
   aLabel[ 15, 2] = 37
   aLabel[ 15, 3] = 8
   aLabel[ 15, 4] = 1
   aLabel[ 15, 5] = 1
   aLabel[ 15, 6] = 4
   aLabel[ 15, 7] = 2
   aLabel[ 15, 8] = 6
   aLabel[ 15, 9] = "Avery 5897"

   aLabel[ 16, 1] = "Avery 5896 3 1/2 Diskette - Blue"
   aLabel[ 16, 2] = 25
   aLabel[ 16, 3] = 16
   aLabel[ 16, 4] = 1
   aLabel[ 16, 5] = 3
   aLabel[ 16, 6] = 2
   aLabel[ 16, 7] = 3
   aLabel[ 16, 8] = 3
   aLabel[ 16, 9] = "Avery 5896"

   aLabel[ 17, 1] = "Avery 5895 Name Badge - Blue"
   aLabel[ 17, 2] = 32
   aLabel[ 17, 3] = 13
   aLabel[ 17, 4] = 5
   aLabel[ 17, 5] = 2
   aLabel[ 17, 6] = 6
   aLabel[ 17, 7] = 2
   aLabel[ 17, 8] = 4
   aLabel[ 17, 9] = "Avery 5895"

   aLabel[ 18, 1] = "Avery 5883 Name Tag - Blue"
   aLabel[ 18, 2] = 33
   aLabel[ 18, 3] = 12
   aLabel[ 18, 4] = 6
   aLabel[ 18, 5] = 1
   aLabel[ 18, 6] = 2
   aLabel[ 18, 7] = 2
   aLabel[ 18, 8] = 4
   aLabel[ 18, 9] = "Avery 5883"

   aLabel[ 19, 1] = "Avery 5663 Clear Address"
   aLabel[ 19, 2] = 38
   aLabel[ 19, 3] = 11
   aLabel[ 19, 4] = 1
   aLabel[ 19, 5] = 1
   aLabel[ 19, 6] = 2
   aLabel[ 19, 7] = 2
   aLabel[ 19, 8] = 5
   aLabel[ 19, 9] = "Avery 5663"

   aLabel[ 20, 1] = "Avery 5662 Clear Address"
   aLabel[ 20, 2] = 38
   aLabel[ 20, 3] = 7
   aLabel[ 20, 4] = 1
   aLabel[ 20, 5] = 1
   aLabel[ 20, 6] = 2
   aLabel[ 20, 7] = 2
   aLabel[ 20, 8] = 7
   aLabel[ 20, 9] = "Avery 5662"

   aLabel[ 21, 1] = "Avery 5660 Clear Address"
   aLabel[ 21, 2] = 25
   aLabel[ 21, 3] = 5
   aLabel[ 21, 4] = 1
   aLabel[ 21, 5] = 1
   aLabel[ 21, 6] = 2
   aLabel[ 21, 7] = 3
   aLabel[ 21, 8] = 10
   aLabel[ 21, 9] = "Avery 5660"

   aLabel[ 22, 1] = "Avery 5395 Name Badge"
   aLabel[ 22, 2] = 32
   aLabel[ 22, 3] = 13
   aLabel[ 22, 4] = 5
   aLabel[ 22, 5] = 2
   aLabel[ 22, 6] = 6
   aLabel[ 22, 7] = 2
   aLabel[ 22, 8] = 4
   aLabel[ 22, 9] = "Avery 5395"

   aLabel[ 23, 1] = "Avery 5389 Index/Post Card"
   aLabel[ 23, 2] = 58
   aLabel[ 23, 3] = 23
   aLabel[ 23, 4] = 11
   aLabel[ 23, 5] = 1
   aLabel[ 23, 6] = 2
   aLabel[ 23, 7] = 1
   aLabel[ 23, 8] = 2
   aLabel[ 23, 9] = "Avery 5389"

   aLabel[ 24, 1] = "Avery 5388 Index Card"
   aLabel[ 24, 2] = 48
   aLabel[ 24, 3] = 17
   aLabel[ 24, 4] = 19
   aLabel[ 24, 5] = 1
   aLabel[ 24, 6] = 0
   aLabel[ 24, 7] = 1
   aLabel[ 24, 8] = 3
   aLabel[ 24, 9] = "Avery 5388"

   aLabel[ 25, 1] = "Avery 5386 Rotary Index Card"
   aLabel[ 25, 2] = 48
   aLabel[ 25, 3] = 17
   aLabel[ 25, 4] = 16
   aLabel[ 25, 5] = 1
   aLabel[ 25, 6] = 2
   aLabel[ 25, 7] = 1
   aLabel[ 25, 8] = 3
   aLabel[ 25, 9] = "Avery 5386"

   aLabel[ 26, 1] = "Avery 5385 Rotary Index Card"
   aLabel[ 26, 2] = 38
   aLabel[ 26, 3] = 12
   aLabel[ 26, 4] = 1
   aLabel[ 26, 5] = 1
   aLabel[ 26, 6] = 2
   aLabel[ 26, 7] = 2
   aLabel[ 26, 8] = 4
   aLabel[ 26, 9] = "Avery 5385"

   aLabel[ 27, 1] = "Avery 5384 Name Tag"
   aLabel[ 27, 2] = 38
   aLabel[ 27, 3] = 17
   aLabel[ 27, 4] = 1
   aLabel[ 27, 5] = 1
   aLabel[ 27, 6] = 2
   aLabel[ 27, 7] = 2
   aLabel[ 27, 8] = 3
   aLabel[ 27, 9] = "Avery 5384"

   aLabel[ 28, 1] = "Avery 5383 Name Tag"
   aLabel[ 28, 2] = 33
   aLabel[ 28, 3] = 12
   aLabel[ 28, 4] = 6
   aLabel[ 28, 5] = 1
   aLabel[ 28, 6] = 2
   aLabel[ 28, 7] = 2
   aLabel[ 28, 8] = 4
   aLabel[ 28, 9] = "Avery 5383"

   aLabel[ 29, 1] = "Avery 5294 Round"
   aLabel[ 29, 2] = 23
   aLabel[ 29, 3] = 14
   aLabel[ 29, 4] = 1
   aLabel[ 29, 5] = 1
   aLabel[ 29, 6] = 5
   aLabel[ 29, 7] = 3
   aLabel[ 29, 8] = 4
   aLabel[ 29, 9] = "Avery 5294"

   aLabel[ 30, 1] = "Avery 5267 Return Address"
   aLabel[ 30, 2] = 16
   aLabel[ 30, 3] = 2
   aLabel[ 30, 4] = 1
   aLabel[ 30, 5] = 1
   aLabel[ 30, 6] = 5
   aLabel[ 30, 7] = 4
   aLabel[ 30, 8] = 20
   aLabel[ 30, 9] = "Avery 5267"

   aLabel[ 31, 1] = "Avery 5266 File Folder"
   aLabel[ 31, 2] = 32
   aLabel[ 31, 3] = 3
   aLabel[ 31, 4] = 4
   aLabel[ 31, 5] = 1
   aLabel[ 31, 6] = 8
   aLabel[ 31, 7] = 2
   aLabel[ 31, 8] = 15
   aLabel[ 31, 9] = "Avery 5266"

   aLabel[ 32, 1] = "Avery 5262 Address"
   aLabel[ 32, 2] = 37
   aLabel[ 32, 3] = 7
   aLabel[ 32, 4] = 1
   aLabel[ 32, 5] = 1
   aLabel[ 32, 6] = 4
   aLabel[ 32, 7] = 2
   aLabel[ 32, 8] = 7
   aLabel[ 32, 9] = "Avery 5262"

   aLabel[ 33, 1] = "Avery 5261 Address"
   aLabel[ 33, 2] = 37
   aLabel[ 33, 3] = 5
   aLabel[ 33, 4] = 1
   aLabel[ 33, 5] = 1
   aLabel[ 33, 6] = 4
   aLabel[ 33, 7] = 2
   aLabel[ 33, 8] = 10
   aLabel[ 33, 9] = "Avery 5261"

   aLabel[ 34, 1] = "Avery 5260 Address"
   aLabel[ 34, 2] = 24
   aLabel[ 34, 3] = 5
   aLabel[ 34, 4] = 1
   aLabel[ 34, 5] = 1
   aLabel[ 34, 6] = 3
   aLabel[ 34, 7] = 3
   aLabel[ 34, 8] = 10
   aLabel[ 34, 9] = "Avery 5260"

   aLabel[ 35, 1] = "Avery 5199 Video Cassette Spine"
   aLabel[ 35, 2] = 56
   aLabel[ 35, 3] = 3
   aLabel[ 35, 4] = 12
   aLabel[ 35, 5] = 1
   aLabel[ 35, 6] = 2
   aLabel[ 35, 7] = 1
   aLabel[ 35, 8] = 15
   aLabel[ 35, 9] = "Avery 5199"

   aLabel[ 36, 1] = "Avery 5199 Video Cassette Face"
   aLabel[ 36, 2] = 29
   aLabel[ 36, 3] = 10
   aLabel[ 36, 4] = 9
   aLabel[ 36, 5] = 1
   aLabel[ 36, 6] = 4
   aLabel[ 36, 7] = 2
   aLabel[ 36, 8] = 5
   aLabel[ 36, 9] = "Avery 5199"

   aLabel[ 37, 1] = "Avery 5198 Audio Cassette"
   aLabel[ 37, 2] = 33
   aLabel[ 37, 3] = 9
   aLabel[ 37, 4] = 4
   aLabel[ 37, 5] = 1
   aLabel[ 37, 6] = 7
   aLabel[ 37, 7] = 2
   aLabel[ 37, 8] = 6
   aLabel[ 37, 9] = "Avery 5198"

   aLabel[ 38, 1] = "Avery 5197 5 1/4 Diskette"
   aLabel[ 38, 2] = 37
   aLabel[ 38, 3] = 8
   aLabel[ 38, 4] = 1
   aLabel[ 38, 5] = 1
   aLabel[ 38, 6] = 4
   aLabel[ 38, 7] = 2
   aLabel[ 38, 8] = 6
   aLabel[ 38, 9] = "Avery 5197"

   aLabel[ 39, 1] = "Avery 5196 3 1/2 Diskette"
   aLabel[ 39, 2] = 25
   aLabel[ 39, 3] = 16
   aLabel[ 39, 4] = 1
   aLabel[ 39, 5] = 3
   aLabel[ 39, 6] = 2
   aLabel[ 39, 7] = 3
   aLabel[ 39, 8] = 3
   aLabel[ 39, 9] = "Avery 5196"

   aLabel[ 40, 1] = "Avery 5165 Full Sheet"
   aLabel[ 40, 2] = 78
   aLabel[ 40, 3] = 65
   aLabel[ 40, 4] = 1
   aLabel[ 40, 5] = 1
   aLabel[ 40, 6] = 2
   aLabel[ 40, 7] = 1
   aLabel[ 40, 8] = 1
   aLabel[ 40, 9] = "Avery 5165"

   aLabel[ 41, 1] = "Avery 5164 Address/Shipping"
   aLabel[ 41, 2] = 37
   aLabel[ 41, 3] = 19
   aLabel[ 41, 4] = 1
   aLabel[ 41, 5] = 1
   aLabel[ 41, 6] = 4
   aLabel[ 41, 7] = 2
   aLabel[ 41, 8] = 3
   aLabel[ 41, 9] = "Avery 5164"

   aLabel[ 42, 1] = "Avery 5163 Address/Shipping"
   aLabel[ 42, 2] = 37
   aLabel[ 42, 3] = 11
   aLabel[ 42, 4] = 1
   aLabel[ 42, 5] = 1
   aLabel[ 42, 6] = 4
   aLabel[ 42, 7] = 2
   aLabel[ 42, 8] = 5
   aLabel[ 42, 9] = "Avery 5163"

   aLabel[ 43, 1] = "Avery 5162 Address"
   aLabel[ 43, 2] = 37
   aLabel[ 43, 3] = 7
   aLabel[ 43, 4] = 1
   aLabel[ 43, 5] = 1
   aLabel[ 43, 6] = 4
   aLabel[ 43, 7] = 2
   aLabel[ 43, 8] = 7
   aLabel[ 43, 9] = "Avery 5162"

   aLabel[ 44, 1] = "Avery 5161 Address"
   aLabel[ 44, 2] = 37
   aLabel[ 44, 3] = 5
   aLabel[ 44, 4] = 1
   aLabel[ 44, 5] = 1
   aLabel[ 44, 6] = 4
   aLabel[ 44, 7] = 2
   aLabel[ 44, 8] = 10
   aLabel[ 44, 9] = "Avery 5161"

   aLabel[ 45, 1] = "Avery 5160 Address"
   aLabel[ 45, 2] = 24
   aLabel[ 45, 3] = 5
   aLabel[ 45, 4] = 1
   aLabel[ 45, 5] = 1
   aLabel[ 45, 6] = 3
   aLabel[ 45, 7] = 3
   aLabel[ 45, 8] = 10
   aLabel[ 45, 9] = "Avery 5160"

   aLabel[ 46, 1] = "Avery 5097 5 1/4 Diskette - Red"
   aLabel[ 46, 2] = 37
   aLabel[ 46, 3] = 8
   aLabel[ 46, 4] = 1
   aLabel[ 46, 5] = 1
   aLabel[ 46, 6] = 4
   aLabel[ 46, 7] = 2
   aLabel[ 46, 8] = 6
   aLabel[ 46, 9] = "Avery 5097"

   aLabel[ 47, 1] = "Avery 5096 3 1/2 Diskette - Red"
   aLabel[ 47, 2] = 25
   aLabel[ 47, 3] = 16
   aLabel[ 47, 4] = 1
   aLabel[ 47, 5] = 3
   aLabel[ 47, 6] = 2
   aLabel[ 47, 7] = 3
   aLabel[ 47, 8] = 3
   aLabel[ 47, 9] = "Avery 5096"

   aLabel[ 48, 1] = "Avery 5095 Name Badge - Red"
   aLabel[ 48, 2] = 32
   aLabel[ 48, 3] = 13
   aLabel[ 48, 4] = 5
   aLabel[ 48, 5] = 2
   aLabel[ 48, 6] = 6
   aLabel[ 48, 7] = 2
   aLabel[ 48, 8] = 4
   aLabel[ 48, 9] = "Avery 5095"

RETURN
*-- EOP: BuildLabel
