*  Program Ŀ
*   Application: Visual dBASE Component Builder                             
*   Description: Menu, Report, Form, and Label Converter                    
*     File Name: CB.H                                                       
*        Author: Inprise Corporation                                        
*  Date created: 12-31-93              Date updated: 06-09-98              
*     Copyright: (c) 1993, 1994, 1995, 1998 by Inprise Corporation,         
*                    1999 by dBASE, Inc.                                    
* 
*
*  REVISION:    $Revision:   1.0  $
*  
*  Public Release: June 1998
*
*----------------------------------------------------------------------------

set talk off

&&& 
&&& CB Development Constants
&&& 

public cbCrwApi                                  && declare a public to test for te Crystal libraries
cbCrwApi = 1                                     && assumes the Crystal API is in place

&&& 
&&& Program Constants
&&& 
#DEFINE True                    .T.
#DEFINE cbDelimiters            chr(34) + chr(39) + chr(91)
#DEFINE cbDefExprLen            12
#DEFINE False                   .F.
#DEFINE Null			chr(0)
#DEFINE SOFTCR			chr(141)
#DEFINE LINEFEED		chr(10)
#DEFINE TOK_BEGIN		chr(1)
#DEFINE TOK_END		        chr(2)
#DEFINE MAX_TOKEN_SIZE          22
#DEFINE ATT_FIELD		chr(160)
#DEFINE Void                    0
#DEFINE sDB3PLUS                "dBASE III Plus"
#DEFINE NUMBUCK                 55
#DEFINE SIZEBUCK                1440
#DEFINE MAXFLDS                 25
#DEFINE NO3PLUSVALUE            65535

#define btPageHeader            0
#define btGroupIntro            2
#define btDetail                3
#define btGroupSummary          4
#define btReportSummary         5
#define rw3_center              0
#define rw3_left                1
#define rw3_right               2


&&& 
&&& BWCC Button Constants
&&& 

&&& - establish the Crystal API gateway...
on error do killCrystalApi
cCrystal = _dbwinhome + "crystal\crpe.dll"
extern cLogical peOpenEngine(cVoid)                               &cCrystal
extern cVoid    peCloseEngine(cVoid)                              &cCrystal
extern cInt     peNewPrintJob(cString, cInt, cPtr)                &cCrystal
extern cLogical peSavePrintJob(cInt, cString)                     &cCrystal
extern cLogical peClosePrintJob(cInt)                             &cCrystal
extern cLogical peSetMargins(cInt, cInt, cInt, cInt, cInt )       &cCrystal
extern cLong    peNewDatabaseField(cInt, cString)                 &cCrystal
extern cLong    peNewTextField(cInt, cString)                     &cCrystal
extern cLong    peNewFormulaField(cInt, cString)                  &cCrystal
extern cLogical peNewFormula(cInt, cString, cString)              &cCrystal
extern cLong    peNewSummaryField(cInt, cLong, cInt, cInt)        &cCrystal
extern cLogical peAddGroup(cInt, cInt, cString, cInt, cInt)       &cCrystal
extern cLogical peAddGrandTotalSection(cInt)                      &cCrystal
extern cLogical peSetFieldLocation(cInt, cLong, cInt, cInt, cInt) &cCrystal
extern cLogical peGetFieldLocation(cInt, cLong, cPtr, cPtr, cPtr) &cCrystal
extern cLogical peSetFieldWidth(cInt, cLong, cInt)                &cCrystal
extern cInt     peGetNLinesInSection(cInt, cInt)                  &cCrystal
extern cLogical peAddLineToSection(cInt, cInt, cInt)              &cCrystal
extern cInt     peGetErrorCode(cInt)                              &cCrystal
extern cLogical peGetErrorText(cInt, cHandle, cString, cWord)     &cCrystal
extern cLogical peGetHandleString(cHandle, cString, cInt)         &cCrystal
extern cLogical peSetFont(cHandle, cInt, cInt, cString, cInt, cInt, cInt, cInt, cInt, cInt, cInt, cInt) &cCrystal
extern cLong    peNewSpecialVarField(cHandle, cInt)               &cCrystal
extern cLogical peSetSectionFormat(cInt, cInt, cPtr)              &cCrystal
release cCrystal
on error


*--------------------
*-- Crystal Constants
*--------------------
#define PE_HEADERSECTION      2000
#define PE_GROUPHEADER        3000  
#define PE_DETAILSECTION      4000
#define PE_GROUPFOOTER        5000  
#define PE_GRANDTOTALSECTION  6000
#define PE_FOOTERSECTION      7000

#define PE_SF_DESCENDING 0
#define PE_SF_ASCENDING  1



&&& 
&&& BWCC Button Constants
&&& 
#DEFINE cbDlgOk                  upBitMap       "resource #20",;
                                 disabledBitMap "resource #21",;
                                 text           mnuOk

#DEFINE cbDlgYes                 upBitMap       "resource #20",;
                                 disabledBitMap "resource #21",;
                                 text           mnuYes

#DEFINE cbDlgNo                  upBitMap       "resource #24",;
                                 disabledBitMap "resource #25",;
                                 text           mnuNo

#DEFINE cbDlgCancel              upBitMap       "resource #28",;
                                 disabledBitMap "resource #29",;
                                 text           mnuCancel

#DEFINE cbDlgHelp                upBitMap       "resource #32",;
                                 disabledBitMap "resource #33",;
                                 text           mnuHelp

#DEFINE cbDlgForm                upBitMap       "resource #613",;
                                 disabledBitMap "resource #613",;
                                 text           mnuBuildForm

#DEFINE cbDlgMenu                upBitMap       "resource #622",;
                                 disabledBitMap "resource #622",;
                                 text           mnuBuildMenu
